Skip to main content
GET
Get a scan

Path Parameters

id
string
required

The scan id from Start a scan.

Response

Finished. status is succeeded (with score, grade and report) or failed (with error).

id
string
required
url
string
required
status
enum<string>
required
Available options:
queued,
running,
succeeded,
failed
queuedAt
string<date-time>
required
reportUrl
string
required

The report on the website.

startedAt
string<date-time> | null
finishedAt
string<date-time> | null
score
number | null

0–100. Only when succeeded.

Example:

72

grade
string | null

A+ (100, every check passes), A (85+), B (75+), C (65+), D (55+), E (35+) or F. Only when succeeded.

Example:

"C"

error
string

Why the scan failed. Only when failed.

report
object | null

The full report. null until the scan succeeds.